Bug 249947

Summary: databases/arrow: patch including expanded options
Product: Ports & Packages Reporter: Matías Pizarro <matias>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Only Me CC: matias
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: bugzilla: maintainer-feedback? (yuri)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch expanding available Arrow options
none
would this be a cleaner patch?
none
Include python option
none
Latest full patch
none
Update to Arrow v2.0.0 none

Description Matías Pizarro 2020-09-27 19:07:01 UTC
Created attachment 218367 [details]
Patch expanding available Arrow options

Hey Yuri,

Thanks for getting things going with Arrow.
Here's a patch expanding the Arrow port build options:

COMPUTE
JSON
CSV
FILESYSTEM
PARQUET
FLIGHT
DATASET
HDFS
GANDIVA
BUILD_UTILITIES

I also have a py-arrow port but I still need to work out some wrinkles around the flavours.


Best,
Comment 1 Matías Pizarro 2020-09-27 19:12:55 UTC
Created attachment 218368 [details]
would this be a cleaner patch?

Port diff generated a few extraneous things, would this be a better patch?
Comment 2 Matías Pizarro 2020-09-28 17:54:08 UTC
Created attachment 218379 [details]
Include python option
Comment 3 Yuri Victorovich freebsd_committer 2020-09-28 18:29:20 UTC
Hi Matias,

Thank you for the patch.

Could you please fix these 2 items:
1. Sort pkg-plist according to file names. Add %%{OPTION}%% tags to the untagged plist file, not add option-based sections to the bottom of plist. When a new version would arrive, comparing plists would be easier.
2. USES=ssl isn't required when all new options are "off". Could you please move USES=ssl to options that need it?

Thank you,
Yuri
Comment 4 Matías Pizarro 2020-09-29 15:11:50 UTC
Created attachment 218407 [details]
Latest full patch
Comment 5 Matías Pizarro 2020-09-29 21:04:43 UTC
There you go Yuri.

1.pkg-plist is sorted according to file name. Is that the way you wanted it?

2. USE_OPTION=ssl has been added to the relevant options and removed from the general scope

3. I've added two more options: build TESTS and S3 support

Thanks for pointing me in the right direction, keep it coming!

Best,

Matías
Comment 6 Yuri Victorovich freebsd_committer 2020-09-29 21:44:10 UTC
(In reply to Matías Pizarro from comment #5)

Yes, thank you, Matías.

I will do some extra testing and commit within a few days.

Best,
Yuri
Comment 7 Matías Pizarro 2020-10-20 19:33:00 UTC
Created attachment 218930 [details]
Update to Arrow v2.0.0

Hi Yuri,

I have updated the port to handle Arrow v2.0.0 release.
Can I help you with your tests in any way?

Best,

Matías
Comment 8 Matías Pizarro 2021-05-01 13:11:55 UTC
Hey Yuri.

I hope you are doing well.

Is there anything I could do to get this merged?
If you are overwhelmed (who isn't?), would you consider pasdsing maintainership over?

Best,

Matias
Comment 9 Yuri Victorovich freebsd_committer 2021-05-01 21:59:57 UTC
(In reply to Matías Pizarro from comment #8)

Hi Matías,

I am sorry for overlooking this bug report.

I will update Arrow to 4.0.0 over the weekend.


Yuri
Comment 10 Yuri Victorovich freebsd_committer 2021-05-02 09:58:57 UTC
Update to 4.0.0 committed that incorporated your patch.

Thank you for the patch!
Comment 11 commit-hook freebsd_committer 2021-05-02 09:59:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=06adcfba1b4da4f41af23e70eb2cc48d04741d3f

commit 06adcfba1b4da4f41af23e70eb2cc48d04741d3f
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-05-02 09:53:07 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-05-02 09:58:44 +0000

    databases/arrow: Update 1.0.1 -> 4.0.0

    Also add compression related options and components adding options.

    PR:             249947
    Original version submitted by:  Matías Pizarro <matias@pizarro.net>

 databases/arrow/Makefile                           | 230 +++++++++++--
 databases/arrow/distinfo                           |   8 +-
 databases/arrow/files/patch-CMakeLists.txt         |   8 +-
 .../patch-cmake__modules_Findc-ares.cmake (new)    |  45 +++
 .../files/patch-cmake__modules_SetupCxxFlags.cmake |   4 +-
 ...-cmake__modules_ThirdpartyToolchain.cmake (new) |  33 ++
 databases/arrow/pkg-plist                          | 359 ++++++++++++++++++++-
 7 files changed, 636 insertions(+), 51 deletions(-)